Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.phase
Class PhaseChainCache

    java.lang.Object
      org.apache.cxf.phase.PhaseChainCache

    public final class PhaseChainCache

extends Object

The PhaseChainCache provides default interceptor chains for SOAP requests and responses, both from the client and web service side. The list of phases supplied in the get() methods of this class are defined by default within org.apache.cxf.phase.PhaseManagerImpl. For an example of this class in use, check the sourcecode of org.apache.cxf.endpoint.ClientImpl.

Constructor Summary
`PhaseChainCache()`

Method Summary
`PhaseInterceptorChain` | `get(SortedSet<Phase> phaseList, List<Interceptor> p1)`
`PhaseInterceptorChain` | `get(SortedSet<Phase> phaseList, List<Interceptor> p1, List<Interceptor> p2)`
`PhaseInterceptorChain` | `get(SortedSet<Phase> phaseList, List<Interceptor> p1, List<Interceptor> p2, List<Interceptor> p3)`
`PhaseInterceptorChain` | `get(SortedSet<Phase> phaseList, List<Interceptor> p1, List<Interceptor> p2, List<Interceptor> p3, List<Interceptor> p4)`
`PhaseInterceptorChain` | `get(SortedSet<Phase> phaseList, List<Interceptor> p1, List<Interceptor> p2, List<Interceptor> p3, List<Interceptor> p4, List<Interceptor> p5)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhaseChainCache

    public PhaseChainCache()

Method Detail

### get

    public PhaseInterceptorChain get(SortedSet<Phase> phaseList,
                                     List<Interceptor> p1)

### get

    public PhaseInterceptorChain get(SortedSet<Phase> phaseList,
                                     List<Interceptor> p1,
                                     List<Interceptor> p2)

### get

    public PhaseInterceptorChain get(SortedSet<Phase> phaseList,
                                     List<Interceptor> p1,
                                     List<Interceptor> p2,
                                     List<Interceptor> p3)

### get

    public PhaseInterceptorChain get(SortedSet<Phase> phaseList,
                                     List<Interceptor> p1,
                                     List<Interceptor> p2,
                                     List<Interceptor> p3,
                                     List<Interceptor> p4)

### get

    public PhaseInterceptorChain get(SortedSet<Phase> phaseList,
                                     List<Interceptor> p1,
                                     List<Interceptor> p2,
                                     List<Interceptor> p3,
                                     List<Interceptor> p4,
                                     List<Interceptor> p5)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF